/* 
Autor: Michał Przydatek 
Data: 1-02-2016
*/

/* class */
.in-block{display:inline-block;}
.abs{position:absolute;}
.ls1{letter-spacing:1px;}
.ls2{letter-spacing:2px;}
.ls3{letter-spacing:3px;}
.lh15{line-height:15px;}
.lh20{line-height:20px;}
.lh25{line-height:25px;}
.bR2{-webkit-border-radius: 4px;-moz-border-radius: 4px;border-radius: 4px;}
.bR4{-webkit-border-radius: 4px;-moz-border-radius: 4px;border-radius: 4px;}
.bR8{-webkit-border-radius: 8px;-moz-border-radius: 8px;border-radius: 8px;}
.bR16{-webkit-border-radius: 16px;-moz-border-radius: 16px;border-radius: 16px;}
.v-top{vertical-align:top}
.v-mid{vertical-align:middle}
.v-bot{vertical-align:bottom}

/* buttons */

.btn-ole{width:auto; display:inline-block; text-align:center; border-radius: 4px; -moz-border-radius: 4px; -webkit-border-radius: 4px; cursor:pointer; height:auto;}
.btn-blue:hover, .btn-green:hover, .btn-red:hover{box-shadow: 0 1px 3px #111111;-webkit-box-shadow: 0 1px 3px #111111;-moz-box-shadow: 0 1px 3px #111111;}

.btn-ole a{font-family: "Arial";    font-weight: 400; color:#fff; font-size:17px; text-transform:uppercase; display:block; padding:10px 15px; text-decoration:none;}
.btn-ole span{font-family: "Arial";    font-weight: 600;}
.btn-ole b{font-family: "Arial";    font-weight: 800;}

.btn-ole.btn-big{height:50px!important;}
.btn-ole.btn-big a{font-size:16pt!important;padding:13px 25px 13px 30px!important;}

.btn-ole.btn-small a{font-size:11pt!important; padding:6px 15px!important; }
.btn-ole.btn-xsmall a {font-size: 11px!important;    padding: 5px 8px!important;}
.btn-ole.btn-xsmall{}

/* colors */

.btn-ole.btn-red{
	border:1px solid #db030b;
	background: rgb(219,3,11); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(219,3,11,1) 0%, rgba(183,3,3,1) 99%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(219,3,11,1)), color-stop(99%,rgba(183,3,3,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(219,3,11,1) 0%,rgba(183,3,3,1) 99%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(219,3,11,1) 0%,rgba(183,3,3,1) 99%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(219,3,11,1) 0%,rgba(183,3,3,1) 99%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(219,3,11,1) 0%,rgba(183,3,3,1) 99%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#db030b', endColorstr='#b70303',GradientType=0 ); /* IE6-9 */
}
.btn-ole.btn-red:hover{background:#c10d15;}
.btn-ole.btn-green{
	border: 1px solid #00c51e;
	background: #00c51e;
	background: -moz-linear-gradient(top,  #00c51e 0%, #0da123 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#00c51e), color-stop(100%,#0da123));
	background: -webkit-linear-gradient(top,  #00c51e 0%,#0da123 100%);
	background: -o-linear-gradient(top,  #00c51e 0%,#0da123 100%);
	background: -ms-linear-gradient(top,  #00c51e 0%,#0da123 100%);
	background: linear-gradient(to bottom,  #00c51e 0%,#0da123 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00c51e', endColorstr='#0da123',GradientType=0 );

}
.btn-ole.btn-green:hover{background:#05a01c;}
.btn-ole.btn-blue{
	border:1px solid #008fc7;
	background: rgb(0,143,199); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(0,143,199,1) 0%, rgba(0,117,160,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(0,143,199,1)), color-stop(100%,rgba(0,117,160,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(0,143,199,1) 0%,rgba(0,117,160,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(0,143,199,1) 0%,rgba(0,117,160,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(0,143,199,1) 0%,rgba(0,117,160,1) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(0,143,199,1) 0%,rgba(0,117,160,1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#008fc7', endColorstr='#0075a0',GradientType=0 ); /* IE6-9 */
}
.btn-ole.btn-blue:hover{background:#0777a3;}
.btn-ole.btn-grey{background:#9f9f9f;}
.btn-ole.btn-grey:hover{background:#888;}

/* text */

.text-ole-medium{font-family: "Arial";    font-weight: 400;}
.text-ole-bold{font-family: "Arial";    font-weight: 600;}
.text-ole-black{font-family: "Arial";    font-weight: 800;}
.text-ole-thin{font-family: "Arial";    font-weight: 400;}
.text-ole-light{font-family: "Arial";    font-weight: 400;}

/* border */
.btn-ole.btn-red.btn-border {
    background: none repeat scroll 0 0 #fff;
    border: 2px solid #db030b;
    box-shadow: none !important;
    margin: 0 auto;
}
.btn-ole.btn-red.btn-border span, .btn-ole.btn-red.btn-border a {
    color: #db030b;
}

 .btn-ole.btn-blue.btn-border {
    background: none repeat scroll 0 0 #fff;
    border: 2px solid #008fc7;
    box-shadow: none !important;
    margin: 0 auto;
}
.btn-ole.btn-blue.btn-border span, .btn-ole.btn-blue.btn-border a {
    color: #008fc7;
}

 .btn-ole.btn-green.btn-border {
    background: none repeat scroll 0 0 #fff;
    border: 2px solid #00c61e;
    box-shadow: none !important;
    margin: 0 auto;
}
.btn-ole.btn-green.btn-border span, .btn-ole.btn-green.btn-border a {
    color: #00c61e;
}

 .btn-ole.btn-grey.btn-border {
    background: none repeat scroll 0 0 #fff;
    border: 2px solid #9f9f9f;
    box-shadow: none !important;
    margin: 0 auto;
}
.btn-ole.btn-grey.btn-border span, .btn-ole.btn-grey.btn-border a {
    color: #9f9f9f;
}
/* end border */

/* icon */
.btn-ole i, i.ole-icon{
	font-family: FontAwesome!important;    
	font-size-adjust: none;    
	font-stretch: normal;    
	font-style: normal;    
	font-variant: normal;    
	font-weight: normal;    
	line-height: 1;	
	display: inline-block;  
	font-size: 14px;   
	-webkit-font-smoothing: antialiased;  
	margin-left: 8px;
}
.btn-ole i::before, i.ole-icon::before {content: "\f054";}

/* size*/
.btn-ole.btn-big i{margin-left:10px!important; font-size: 18px}
.btn-ole.btn-small i{margin-left:8px!important; font-size:13px}
.btn-ole.btn-xsmall i{margin-left:5px!important; font-size:11px}

/*.btn-ole.btn-border.btn-icon.btn-hide:hover{padding-right:15px;}
.btn-icon:hover i{-webkit-transition: all 0.3s ease-in-out; -moz-transition: all 0.3s ease-in-out; -o-transition: all 0.3s ease-in-out; transition: all 0.3s ease-in-out;}*/

#content-1c i.right::before, i.ole-icon.right::before {content: "\f054"!important; font-family: FontAwesome; font-style: normal; }
#content-1c i.left::before, i.ole-icon.left::before {content:"\f053"!important; font-family: FontAwesome; font-style: normal; }
#content-1c i.up::before, i.ole-icon.up::before {content: "\f077"!important; font-family: FontAwesome; font-style: normal; }
#content-1c i.down::before, i.ole-icon.down::before {content: "\f078"!important; font-family: FontAwesome; font-style: normal; }
#content-1c i.check-before::before, i.check::before, i.ole-icon.check::before {content: "\f00c"!important; font-family: FontAwesome; font-style: normal; }

/*.btn-icon.btn-hide:hover i{opacity:1;  padding-left:10px; top:15px;}*/
/* fonts */

@font-face {
    font-family: "FontAwesome";
    font-style: normal;
    src: url("/si_upload/upload_ole/fonts/awesome/fontawesome-webfont.eot?#iefix&v=4.2.0") format("embedded-opentype"), url("//www.oleole.pl/si_upload/upload_ole/fonts/awesome/fontawesome-webfont.woff?v=4.2.0") format("woff"), url("/si_upload/upload_ole/fonts/awesome/fontawesome-webfont.ttf?v=4.2.0") format("truetype"), url("/si_upload/upload_ole/fonts/awesome/fontawesome-webfont.svg?v=4.2.0#fontawesomeregular") format("svg");
    font-weight: normal;
}